/*----------------------------------------------------------------*/
/*								  */
/*  Example of sqldbn() : Directory of Databases		  */
/*  Lists databases : XOMED, TEST, OMED, DEMO that are on Server  */
/*----------------------------------------------------------------*/

#include "stdio.h"
#include "sql.h"
#include "errsql.h"
#include "sqlsrv.h"

/* error defines */
#define APIERROR    1

#define apierr(a) error(a,__LINE__, APIERROR)

          SQLTDAP srvname;
	  char    buffer[100];
          SQLTDAL len=sizeof(buffer);
	  SQLTRCD   rcd;		/* return code		  */
	  int j = 0;
  
main()
{
  srvname="SERVER1";	
	
  /* DIRECTORY OF DATABASES */
  
  if (rcd = sqldbn(srvname,buffer,len))
          apierr("SQLDBN");
  else
    {
       j = 0;
       printf("Directory of Databases : ");
       while ( (buffer[j] != '\n') && (j< 20) ) 
       {
	  if (buffer[j] == '\0')
	  {
	     printf(", ");
	  }
	  else
	  {
	     printf("%c",buffer[j]);
	  }
       j++;
       }
       printf("\n");
    }
}

/*
  ERROR - prints an error message for the utility
*/
	  error(what, line, type)
	  char*     what;		/* description of what happened     */
	  int	    line;		/* line number where error occured  */
	  int	    type;		/* type of error		    */
  {
	  char	    msg[200];		/* error message buffer 	    */

      sqlerr(rcd, msg); 		  /* get the error message	    */
      printf("\nError: %s at line %d: %s, Error # %d\n", what, line, msg,rcd);
  }


